<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=5, viewport-fit=cover"
    />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="default" />
    <meta name="format-detection" content="telephone=no" />
    <!-- <meta name="theme-color" content="#ffffff"> -->
    <meta
      name="theme-color"
      content="#ffffff"
      media="(prefers-color-scheme: light)"
    />
    <meta
      name="theme-color"
      content="#222032"
      media="(prefers-color-scheme: dark)"
    />
    <title>Sign-Up OTP</title>
    <meta
      name="description"
      content="Unic – NFT Marketplace PWA Mobile Template"
    />
    <meta
      name="keywords"
      content="bootstrap 5, mobile template, wallet, crypto, currency, about, blog, cordova, phonegap, mobile, html, nft, store, marketplace, pwa"
    />
    <!-- FAVICON -->
    <link
      rel="icon"
      type="image/png"
      href="images/favicon/icon-32x32.png"
      sizes="32x32"
    />
    <!-- IOS SUPPORT -->
    <link rel="apple-touch-icon" href="images/favicon/icon-96x96.png" />
    <!-- CSS FILES -->
    <link rel="stylesheet" href="assets/css/style.css" />
    <link rel="stylesheet" href="assets/css/remixicon.min.css" />
    <link rel="stylesheet" href="assets/vendors/swiper/swiper-bundle.min.css" />
    <link rel="stylesheet" href="assets/vendors/zuck_stories/zuck.min.css" />
    <link rel="manifest" href="_manifest.json" />
  </head>

  <body>
    <!-- ===================================START LODAER PAGE==================================== -->
    <section class="loader-page" id="loaderPage">
      <div class="spinner_flash"></div>
    </section>
    <!-- START WRAPPER -->
    <div id="wrapper">
      <!-- START CONTENT -->
      <div id="content">
        <!-- =================================== START THE HEADER==================================== -->
        <header class="default heade-sticky">
          <div class="un-title-page go-back">
            <h1></h1>
          </div>
        </header>
        <!-- =================================== START THE SPACE STICKY ==================================== -->
        <div class="space-sticky"></div>
        <!-- =================================== START THE FORM ==================================== -->
        <section class="account-section padding-20">
          <div class="display-title">
            <h1>Please Enter OTP</h1>
            <p>
              Please enter the OTP sent to your mobile number
              <span class="text-dark weight-500">xxxxxxxx09</span>
            </p>
          </div>
          <div class="content__form margin-t-40">
            <form class="form-verification-code">
              <div class="form-group">
                <div class="input_group">
                  <input
                    type="tel"
                    maxlength="1"
                    pattern="[0-9]"
                    class="form-control"
                    placeholder="-"
                  />
                  <input
                    type="tel"
                    maxlength="1"
                    pattern="[0-9]"
                    class="form-control"
                    placeholder="-"
                  />
                  <input
                    type="tel"
                    maxlength="1"
                    pattern="[0-9]"
                    class="form-control"
                    placeholder="-"
                  />
                  <input
                    type="tel"
                    maxlength="1"
                    pattern="[0-9]"
                    class="form-control"
                    placeholder="-"
                  />
                </div>
              </div>
              <div class="countdown_code">
                <p id="countdown" class="text_count"></p>
              </div>
            </form>
          </div>
        </section>
        <footer class="footer-account">
          <div class="env-pb">
            <div class="display-actions">
              <a href="" class="btn btn-sm-arrow bg-primary">
                <p>Submit</p>
                <div class="ico">
                  <i class="ri-arrow-drop-right-line"></i>
                </div>
              </a>
            </div>
          </div>
        </footer>
      </div>
    </div>
    <!-- JS FILES -->
    <script src="assets/vendors/zuck_stories/zuck.min.js"></script>
    <script src="assets/vendors/smoothscroll/smoothscroll.min.js"></script>
    <script src="assets/vendors/swiper/swiper-bundle.min.js"></script>
    <script src="assets/vendors/nouislider/nouislider.min.js"></script>
    <script src="assets/vendors/nouislider/wNumb.min.js"></script>
    <script src="assets/js/bootstrap.bundle.min.js"></script>
    <script src="assets/js/custom.js"></script>
    <!-- PWA APP SERVICE REGISTRATION AND WORKS JS -->
    <script src="assets/js/pwa-services.js"></script>

    <script>
      var timeleft = 60;
      var downloadTimer = setInterval(function () {
        if (timeleft <= 0) {
          clearInterval(downloadTimer);
          document.getElementById("countdown").innerHTML =
            "<button typy='button' class='btn btn-resend'>Resend Code</button>";
        } else {
          document.getElementById("countdown").innerHTML =
            "the remaining time " + timeleft + "s";
        }
        timeleft -= 1;
        /*console.log(downloadTimer);*/
      }, 1000);

      /*================================== START VERIFICATIOS CODE INPUT  ==================================*/

      const form = document.querySelector(".form-verification-code");
      const inputs = form.querySelectorAll("input");
      const KEYBOARDS = {
        backspace: 8,
        arrowLeft: 37,
        arrowRight: 39,
      };

      function handleInput(e) {
        const input = e.target;
        const nextInput = input.nextElementSibling;
        if (nextInput && input.value) {
          nextInput.focus();
          if (nextInput.value) {
            nextInput.select();
          }
        }
      }

      function handlePaste(e) {
        e.preventDefault();
        const paste = e.clipboardData.getData("text");
        inputs.forEach((input, i) => {
          input.value = paste[i] || "";
        });
      }

      function handleBackspace(e) {
        const input = e.target;
        if (input.value) {
          input.value = "";
          return;
        }

        input.previousElementSibling.focus();
      }

      function handleArrowLeft(e) {
        const previousInput = e.target.previousElementSibling;
        if (!previousInput) return;
        previousInput.focus();
      }

      function handleArrowRight(e) {
        const nextInput = e.target.nextElementSibling;
        if (!nextInput) return;
        nextInput.focus();
      }

      form.addEventListener("input", handleInput);
      inputs[0].addEventListener("paste", handlePaste);

      inputs.forEach((input) => {
        input.addEventListener("focus", (e) => {
          setTimeout(() => {
            e.target.select();
          }, 0);
        });

        input.addEventListener("keydown", (e) => {
          switch (e.keyCode) {
            case KEYBOARDS.backspace:
              handleBackspace(e);
              break;
            case KEYBOARDS.arrowLeft:
              handleArrowLeft(e);
              break;
            case KEYBOARDS.arrowRight:
              handleArrowRight(e);
              break;
            default:
          }
        });
      });
    </script>
  </body>
</html>
